Index: invariantview/perspectives/invariant/invariant_details.py
===================================================================
--- invariantview/perspectives/invariant/invariant_details.py	(revision da87bcea752e9aca133903d91088f52473d3aef2)
+++ invariantview/perspectives/invariant/invariant_details.py	(revision 277fad8096790e12e5261ff730c0e28c6cb029dd)
@@ -91,5 +91,5 @@
         """
         uncertainty = "+/-" 
-        unit_invariant = '[1/cm][1/A]'
+        unit_invariant = '[1/cm 1/A]'
      
         invariant_txt = wx.StaticText(self, -1, 'Invariant')
@@ -173,5 +173,6 @@
         self.warning_msg_txt = wx.StaticText(self, -1,self.warning_msg)  
         self.warning_msg_txt.SetForegroundColour('red') 
-        self.warning_sizer.AddMany([(self.warning_msg_txt, 0, wx.EXPAND)])
+        self.warning_sizer.AddMany([(self.warning_msg_txt, 0,
+                                     wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10)])
         
     def _layout_button(self):
Index: invariantview/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/perspectives/invariant/invariant_panel.py	(revision a0a44866b093adce9fde4f480641e51a97007cd7)
+++ invariantview/perspectives/invariant/invariant_panel.py	(revision 277fad8096790e12e5261ff730c0e28c6cb029dd)
@@ -122,4 +122,5 @@
             self.data_min_tcl.SetLabel(str(data_qmin))
             self.data_max_tcl.SetLabel(str(data_qmax))
+            self.hint_msg_txt.SetLabel('')
         
     def set_manager(self, manager):
@@ -314,20 +315,19 @@
             @return float value necessary to compute invariant a high q
         """
+        power_high = None
+        #if self.power_law_high.GetValue():
         function_high = "power_law"
-        power_high = None
-        if self.power_law_high.GetValue():
-            function_high = "power_law"
-            if self.fit_enable_high.GetValue():
-                #set value of power_high to none to allow fitting
-                power_high = None
+        if self.fit_enable_high.GetValue():
+            #set value of power_high to none to allow fitting
+            power_high = None
+        else:
+            power_high = self.power_high_tcl.GetValue().lstrip().rstrip()
+            if check_float(self.power_high_tcl):
+                power_high = float(power_high)
             else:
-                power_high = self.power_high_tcl.GetValue().lstrip().rstrip()
-                if check_float(self.power_high_tcl):
-                    power_high = float(power_high)
-                else:
-                    if high_q :
-                        #Raise error only when qstar at high q is requested
-                        msg = "Expect float for power at high q , got %s"%(power_high)
-                        raise ValueError, msg
+                if high_q :
+                    #Raise error only when qstar at high q is requested
+                    msg = "Expect float for power at high q , got %s"%(power_high)
+                    raise ValueError, msg
                           
         npts_high = self.npts_high_tcl.GetValue().lstrip().rstrip()   
@@ -478,5 +478,5 @@
         self.volume_surface_sizer = wx.GridBagSizer(5,5)
         #Sizer related to invariant output
-        self.invariant_sizer = wx.GridBagSizer(4, 4)
+        self.invariant_sizer = wx.GridBagSizer(5, 5)
         #Sizer related to button
         self.button_sizer = wx.BoxSizer(wx.HORIZONTAL)
@@ -488,7 +488,7 @@
         #Sizer hint 
         hint_msg = "Load Data then right click to add the data on this panel! "
-        hint_msg_txt = wx.StaticText(self, -1, hint_msg)  
-        hint_msg_txt.SetForegroundColour("red")
-        self.hint_msg_sizer.Add(hint_msg_txt)
+        self.hint_msg_txt = wx.StaticText(self, -1, hint_msg)  
+        self.hint_msg_txt.SetForegroundColour("red")
+        self.hint_msg_sizer.Add(self.hint_msg_txt)
         #Data name [string]
         data_name_txt = wx.StaticText(self, -1, 'Data : ')  
@@ -525,7 +525,7 @@
         self.background_tcl.SetToolTipString(background_hint_txt)
         background_unit_txt = wx.StaticText(self, -1, '[1/cm]')  
-        self.background_sizer.AddMany([(background_txt, 0, wx.LEFT|wx.RIGHT, 10),
-                                       (self.background_tcl, 0, wx.RIGHT, 10),
-                                       (background_unit_txt)])
+        self.background_sizer.AddMany([(background_txt, 0, wx.LEFT, 10),
+                                       (self.background_tcl, 0, wx.LEFT, 15),
+                                       (background_unit_txt, 0, wx.LEFT, 10)])
     def _layout_scale(self):
         """
@@ -538,5 +538,5 @@
         self.scale_tcl.SetValue(str(SCALE)) 
         self.scale_sizer.AddMany([(scale_txt, 0, wx.LEFT|wx.RIGHT, 10),
-                                       (self.scale_tcl, 0, wx.LEFT, 30)])
+                                       (self.scale_tcl, 0, wx.LEFT, 35)])
         
     def _layout_contrast(self):
@@ -551,5 +551,5 @@
         contrast_unit_txt = wx.StaticText(self, -1, '[1/A^(2)]')  
         self.contrast_sizer.AddMany([(contrast_txt, 0, wx.LEFT|wx.RIGHT, 10),
-                                       (self.contrast_tcl, 0, wx.LEFT, 15),
+                                       (self.contrast_tcl, 0, wx.LEFT, 18),
                                        (contrast_unit_txt, 0, wx.LEFT, 10)])
     
@@ -617,5 +617,4 @@
         """
         self.enable_low_cbox = wx.CheckBox(self, -1, "Enable Extrapolate Low Q")
-        self.enable_low_cbox.SetForegroundColour('red')
         self.enable_low_cbox.SetValue(False)
         wx.EVT_CHECKBOX(self, self.enable_low_cbox.GetId(),
@@ -722,5 +721,4 @@
         """
         self.enable_high_cbox = wx.CheckBox(self, -1, "Enable Extrapolate high-Q")
-        self.enable_high_cbox.SetForegroundColour('red')
         self.enable_high_cbox.SetValue(False)
         wx.EVT_CHECKBOX(self, self.enable_high_cbox.GetId(),
@@ -736,9 +734,7 @@
                                         id=self.fit_enable_high.GetId())
         
-        self.power_law_high = wx.RadioButton(self, -1, 'Power Law',
-                                              (10, 10), style=wx.RB_GROUP)
-        msg_hint ="Check to extrapolate data at high-Q"
-        self.power_law_high.SetToolTipString(msg_hint)
-        self.power_law_high.SetValue(True)
+        self.power_law_high = wx.StaticText(self, -1, 'Power Law')
+        #msg_hint ="Check to extrapolate data at high-Q"
+        #self.power_law_high.SetToolTipString(msg_hint)
         npts_high_txt = wx.StaticText(self, -1, 'Npts')
         self.npts_high_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1))
@@ -843,5 +839,5 @@
         volume_units_txt = wx.StaticText(self, -1, unit_volume)
         
-        surface_txt = wx.StaticText(self, -1, 'Specific surface')
+        surface_txt = wx.StaticText(self, -1, 'Specific Surface')
         self.surface_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
         self.surface_tcl.SetToolTipString("Specific surface value.")
@@ -887,5 +883,5 @@
         """
         uncertainty = "+/-" 
-        unit_invariant = '[1/cm][1/A]'
+        unit_invariant = '[1/(cm * A)]'
         invariant_total_txt = wx.StaticText(self, -1, 'Invariant Total')
         self.invariant_total_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
@@ -903,14 +899,14 @@
         ix += 1
         self.invariant_sizer.Add(self.invariant_total_tcl, (iy, ix), (1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+                           wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)
         ix += 1
         self.invariant_sizer.Add( wx.StaticText(self, -1, uncertainty),
-                         (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+                         (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 10) 
         ix += 1
         self.invariant_sizer.Add(self.invariant_total_err_tcl, (iy, ix), (1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix += 1
-        self.invariant_sizer.Add(invariant_total_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+                             wx.EXPAND|wx.ADJUST_MINSIZE, 10)
+        ix += 1
+        self.invariant_sizer.Add(invariant_total_units_txt,(iy, ix), (1,1),
+                          wx.EXPAND|wx.ADJUST_MINSIZE, 10)
  
     def _layout_outputs_sizer(self):
